package body MSHTML.IHTMLListElement2_Object is

   procedure Put_compact
     (This : IHTMLListElement2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLListElement2_Put_compact,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_compact;

   function Get_compact
     (This : IHTMLListElement2_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLListElement2_Get_compact);
   end Get_compact;

end MSHTML.IHTMLListElement2_Object;

